Show / Hide Table of Contents

# Class Application.RunState

Captures the execution state for the provided Terminal.Gui.Application.RunState.Toplevel view.

##### Inheritance

System.Object
Application.RunState

##### Implements

System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class RunState : IDisposable

### Constructors

#### RunState(Toplevel)

Initializes a new Application.RunState class.

##### Declaration

    public RunState(Toplevel view)

##### Parameters

Type | Name | Description
--- | --- | ---
Toplevel | view |

### Methods

#### Dispose()

Releases alTop = l resource used by the Application.RunState object.

##### Declaration

    public void Dispose()

##### Remarks

Call Dispose() when you are finished using the Application.RunState. The Dispose() method leaves the Application.RunState in an unusable state. After calling Dispose(), you must release all references to the Application.RunState so the garbage collector can reclaim the memory that the Application.RunState was occupying.

#### Dispose(Boolean)

Dispose the specified disposing.

##### Declaration

    protected virtual void Dispose(bool disposing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | disposing | If set to `true` disposing.

### Implements

System.IDisposable